# -*- encoding: utf-8 -*-

import pygame, sys, os
from HamstersAndPlague import Main


TICKS_PER_SECOND = 60
MAX_FRAMESKIP = 10
SKIP_TICKS = 1000 / TICKS_PER_SECOND

pygame.init()
pygame.mixer.init()

#game = Main.HamstersMain(window)

game = Main.HamstersMain()
nextTick = pygame.time.get_ticks()
clock = pygame.time.Clock()

running = True

while running:
	
	loops = 0
	while pygame.time.get_ticks() > nextTick and loops < MAX_FRAMESKIP:
		
		game.Update(clock.tick())
		
		for event in pygame.event.get():
			
			if event.type == pygame.QUIT:
				running = False
				sys.exit()
				break
				
			elif event.type == pygame.MOUSEBUTTONDOWN:
				game.MousePress(pygame.mouse.get_pressed())
				
			
		
		
		nextTick += SKIP_TICKS
		loops += 1
		
	game.Draw()
		
	
	

